unit sSumGridDemoForm;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Grids,
  sumgrid;

type

  { TForm1 }

  TForm1 = class(TForm)
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    myGrid: TSumGrid;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var c,r: integer;
begin
  myGrid:= TSumGrid.Create(self);
   myGrid.Align:=alClient;
   myGrid.Options:=myGrid.Options+[goColSizing, goFixedColSizing, goRowSizing];
   myGrid.Parent:=self;
   myGrid.SumHorzVisible:=true;
    myGrid.SumHorz.Color:=clRed;
   myGrid.SumVertVisible:=true;
    myGrid.SumVert.Color:=clBlue;

  //test
  for r:=0 to myGrid.RowCount-1 do begin
    if (myGrid.SumVertVisible) then myGrid.SumVert.Cells[0,r]:=IntToStr(r);
    for c:=0 to myGrid.ColCount-1 do begin
      myGrid.Cells[c,r]:=IntToStr(c)+':'+IntToStr(r);
      if (r=0)and(myGrid.SumHorzVisible) then myGrid.SumHorz.Cells[c,0]:=IntToStr(c);
    end;
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  if Assigned(myGrid) then FreeAndNil(myGrid);
end;

end.

